﻿using C1.Win.Chart;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace FlexChartLineStyle
{
    public partial class Form1 : Form
    {
        ObservableCollection<DataPoint> DataPoints;
        public Form1()
        {
            InitializeComponent();
            var random = new Random();
            DataPoints = new ObservableCollection<DataPoint>();
            for(int i=0;i<10;i++)
                DataPoints.Add(new DataPoint() { X=i, Y=random.Next(0,10) });

            //Flexchart
            flexChart1.ChartType = C1.Chart.ChartType.Line;
            flexChart1.BindingX = "X";
            flexChart1.Series.Clear();

            var series = new Series();
            series.Binding = "Y";
            flexChart1.Series.Add(series);

            flexChart1.DataSource = DataPoints;

            comboBox1.Items.Add("X-Y");
            comboBox1.Items.Add("Y-X");
            comboBox1.SelectedValueChanged += (s, e) =>
            {
                if(comboBox1.SelectedItem == "X-Y")
                {
                    flexChart1.BindingX = "X";
                    series.Binding = "Y";
                }
                if (comboBox1.SelectedItem == "Y-X")
                {
                    flexChart1.BindingX = "Y";
                    series.Binding = "X";
                }
            };
            comboBox1.SelectedIndex = 0;
        }
    }

    public class DataPoint
    {
        public int X { get; set; }
        public int Y { get; set; }

    }
}
